openapi: 3.0.3
info:
  title: 'CSGOSKINS.GG API Documentation'
  description: 'The CSGOSKINS.GG API provides detailed information about CS2 items.'
  version: 1.0.0
servers:
  -
    url: 'https://csgoskins.gg'
paths:
  /api/v1/prices:
    get:
      summary: 'List Prices'
      operationId: listPrices
      description: "<small class=\"badge badge-darkblue\">\n Pro Plan, Business Plan\n</small>\n\n<small class=\"badge badge-green\">\n 10 req/min rate limit\n</small>\n\nList prices for all items and from all markets. This endpoint returns all items\nfor which pricing data exists in the chosen `range`. Item prices and listed\nquantities from all available markets are returned for each item.\n\nPrices are updated once every 5 minutes for most markets. Prices for some markets\ncan take longer than 5 minutes to be updated. From a practical standpoint, it's\nnot recommended to request this endpoint more than once per minute.\n\nWhen using a historical `range` (anything other than `current`), the `aggregator`\nparameter determines which price is selected. Historical prices are saved once per\nday, so the `avg` aggregator with a `30d` range would evaluate the 30 price\nentries of the past 30 days and then retrieve the average price of that data set.\nThe same goes for the returned `quantity` and `volume`.\n\n<aside class=\"warning\">\n Please note that as per our terms of service, you are not allowed to display\n item prices of individual markets on public applications. However, you can compute\n an aggregate price for an item and display that price on a public application.\n</aside>"
      parameters:
        -
          in: query
          name: range
          description: "The range in which prices are measured in. Allowed values are `current` (default),\n `7d`, `30d`, `60d`, `90d`, `180d` (Business Plan), `365d` (Business Plan).\n When `current` is used, the `aggregator` parameter has no effect because the most\n recent price is automatically selected."
          example: null
          required: false
          schema:
            type: string
            description: "The range in which prices are measured in. Allowed values are `current` (default),\n `7d`, `30d`, `60d`, `90d`, `180d` (Business Plan), `365d` (Business Plan).\n When `current` is used, the `aggregator` parameter has no effect because the most\n recent price is automatically selected."
            example: null
        -
          in: query
          name: aggregator
          description: "The aggregator function that is used to measure the price. Allowed values are\n`min` (default), `max`, `avg`, and `median`."
          example: null
          required: false
          schema:
            type: string
            description: "The aggregator function that is used to measure the price. Allowed values are\n`min` (default), `max`, `avg`, and `median`."
            example: null
      responses:
        200:
          description: ''
          content:
            application/json:
              schema:
                type: object
                example:
                  data:
                    -
                      market_hash_name: 'AK-47 | Aquamarine Revenge (Battle-Scarred)'
                      prices:
                        -
                          market: steam
                          price: 1277
                          quantity: 43
                          volume: 107
                          updated_at: 1626566412
                        -
                          market: skinport
                          price: 1560
                          quantity: 6
                          volume: null
                          updated_at: 1626566653
                    -
                      market_hash_name: 'AK-47 | Aquamarine Revenge (Factory New)'
                      prices:
                        -
                          market: steam
                          price: 5270
                          quantity: 25
                          volume: 37
                          updated_at: 1626566273
                        -
                          market: skinport
                          price: 5973
                          quantity: 14
                          volume: null
                          updated_at: 1626566484
                properties:
                  data:
                    type: array
                    example:
                      -
                        market_hash_name: 'AK-47 | Aquamarine Revenge (Battle-Scarred)'
                        prices:
                          -
                            market: steam
                            price: 1277
                            quantity: 43
                            volume: 107
                            updated_at: 1626566412
                          -
                            market: skinport
                            price: 1560
                            quantity: 6
                            volume: null
                            updated_at: 1626566653
                      -
                        market_hash_name: 'AK-47 | Aquamarine Revenge (Factory New)'
                        prices:
                          -
                            market: steam
                            price: 5270
                            quantity: 25
                            volume: 37
                            updated_at: 1626566273
                          -
                            market: skinport
                            price: 5973
                            quantity: 14
                            volume: null
                            updated_at: 1626566484
                    description: 'An array of objects where each array element represents a specific item.'
                    items:
                      type: object
                      properties:
                        market_hash_name:
                          type: string
                          example: 'AK-47 | Aquamarine Revenge (Battle-Scarred)'
                          description: 'The `market_hash_name` of the item.'
                        prices:
                          type: array
                          example:
                            -
                              market: steam
                              price: 1277
                              quantity: 43
                              volume: 107
                              updated_at: 1626566412
                            -
                              market: skinport
                              price: 1560
                              quantity: 6
                              volume: null
                              updated_at: 1626566653
                          description: 'An array of objects where each array element represents the price on a specific market.'
                          items:
                            type: object
                            properties:
                              market:
                                type: string
                                example: steam
                                description: 'The identifier of the marketplace.'
                              price:
                                type: integer
                                example: 1277
                                description: 'The price in USD cents for the item.'
                              quantity:
                                type: integer
                                example: 43
                                description: 'The number of all available listings for the item (at any price).'
                              volume:
                                type: integer
                                example: 107
                                description: 'The number of sales for the item (at any price). Currently only available for Steam.'
                              updated_at:
                                type: integer
                                example: 1626566412
                                description: 'The unix timestamp of when the price and quantity were last updated.'
      tags:
        - Endpoints
      requestBody:
        required: false
        content:
          application/json:
            schema:
              type: object
              properties:
                range:
                  type: string
                  description: ''
                  example: 180d
                  enum:
                    - current
                    - 7d
                    - 30d
                    - 60d
                    - 90d
                    - 180d
                    - 365d
                aggregator:
                  type: string
                  description: ''
                  example: median
                  enum:
                    - min
                    - max
                    - avg
                    - median
  /api/v1/price-histories:
    get:
      summary: 'List Price Histories'
      operationId: listPriceHistories
      description: "<small class=\"badge badge-darkblue\">\n Pro Plan, Business Plan\n</small>\n\n<small class=\"badge badge-green\">\n 20 req/min rate limit\n</small>\n\nList historical price data for all items and from all markets. You can use the\n`range` parameter to set the number of days for which price data will be returned."
      parameters:
        -
          in: query
          name: range
          description: "The range for which to return price histories. Allowed values are `7d` (default),\n `30d`, `60d`, `90d`, `180d` (Business Plan), `365d` (Business Plan)."
          example: null
          required: false
          schema:
            type: string
            description: "The range for which to return price histories. Allowed values are `7d` (default),\n `30d`, `60d`, `90d`, `180d` (Business Plan), `365d` (Business Plan)."
            example: null
        -
          in: query
          name: page
          description: "The page to retrieve, defaults to `1`. The `meta.last_page` field returns\n the last available page."
          example: null
          required: false
          schema:
            type: integer
            description: "The page to retrieve, defaults to `1`. The `meta.last_page` field returns\n the last available page."
            example: null
        -
          in: query
          name: limit
          description: "The number of items to return per page, defaults to `20`. Must be a number\n between `1` and `20`."
          example: null
          required: false
          schema:
            type: integer
            description: "The number of items to return per page, defaults to `20`. Must be a number\n between `1` and `20`."
            example: null
      responses:
        200:
          description: ''
          content:
            application/json:
              schema:
                type: object
                example:
                  meta:
                    total: 13971
                    per_page: 20
                    current_page: 1
                    last_page: 700
                  data:
                    -
                      market_hash_name: '2020 RMR Challengers'
                      dates:
                        -
                          date: '2021-08-09'
                          prices:
                            -
                              market: skinport
                              price: 28
                              quantity: 275
                              volume: null
                            -
                              market: steam
                              price: 28
                              quantity: 8397
                              volume: 1043
                        -
                          date: '2021-08-08'
                          prices:
                            -
                              market: skinport
                              price: 27
                              quantity: 245
                              volume: null
                            -
                              market: steam
                              price: 29
                              quantity: 8191
                              volume: 974
                properties:
                  meta:
                    type: object
                    properties:
                      total:
                        type: integer
                        example: 13971
                        description: 'The total number of items in our database.'
                      per_page:
                        type: integer
                        example: 20
                        description: 'The number of items that are returned per requested page.'
                      current_page:
                        type: integer
                        example: 1
                        description: 'The number of the current page.'
                      last_page:
                        type: integer
                        example: 700
                        description: 'The number of the last available page.'
                  data:
                    type: array
                    example:
                      -
                        market_hash_name: '2020 RMR Challengers'
                        dates:
                          -
                            date: '2021-08-09'
                            prices:
                              -
                                market: skinport
                                price: 28
                                quantity: 275
                                volume: null
                              -
                                market: steam
                                price: 28
                                quantity: 8397
                                volume: 1043
                          -
                            date: '2021-08-08'
                            prices:
                              -
                                market: skinport
                                price: 27
                                quantity: 245
                                volume: null
                              -
                                market: steam
                                price: 29
                                quantity: 8191
                                volume: 974
                    description: 'An array of objects where each array element represents a specific item.'
                    items:
                      type: object
                      properties:
                        market_hash_name:
                          type: string
                          example: '2020 RMR Challengers'
                          description: 'The `market_hash_name` of the item.'
                        dates:
                          type: array
                          example:
                            -
                              date: '2021-08-09'
                              prices:
                                -
                                  market: skinport
                                  price: 28
                                  quantity: 275
                                  volume: null
                                -
                                  market: steam
                                  price: 28
                                  quantity: 8397
                                  volume: 1043
                            -
                              date: '2021-08-08'
                              prices:
                                -
                                  market: skinport
                                  price: 27
                                  quantity: 245
                                  volume: null
                                -
                                  market: steam
                                  price: 29
                                  quantity: 8191
                                  volume: 974
                          description: 'An array of objects where each array element represents a specific day.'
                          items:
                            type: object
                            properties:
                              date:
                                type: string
                                example: '2021-08-09'
                                description: 'The historical date for which prices are returned.'
                              prices:
                                type: array
                                example:
                                  -
                                    market: skinport
                                    price: 28
                                    quantity: 275
                                    volume: null
                                  -
                                    market: steam
                                    price: 28
                                    quantity: 8397
                                    volume: 1043
                                description: 'An array of objects where each array element represents the price on a specific market.'
                                items:
                                  type: object
                                  properties:
                                    market:
                                      type: string
                                      example: skinport
                                      description: 'The identifier of the marketplace.'
                                    price:
                                      type: integer
                                      example: 28
                                      description: 'The price in USD cents for the item.'
                                    quantity:
                                      type: integer
                                      example: 275
                                      description: 'The number of all available listings for the item (at any price).'
                                    volume:
                                      type: string
                                      example: null
                                      description: 'The number of sales for the item (at any price). Currently only available for Steam.'
      tags:
        - Endpoints
      requestBody:
        required: false
        content:
          application/json:
            schema:
              type: object
              properties:
                range:
                  type: string
                  description: ''
                  example: 60d
                  enum:
                    - 7d
                    - 30d
                    - 60d
                    - 90d
                    - 180d
                    - 365d
                page:
                  type: integer
                  description: 'Must be at least 1. Must not be greater than 999999999.'
                  example: 7
                limit:
                  type: integer
                  description: 'Must be at least 1. Must not be greater than 20.'
                  example: 8
  /api/v1/offer-links:
    get:
      summary: 'List Offer Links'
      operationId: listOfferLinks
      description: "<small class=\"badge badge-darkblue\">\n Pro Plan, Business Plan\n</small>\n\n<small class=\"badge badge-green\">\n 10 req/min rate limit\n</small>\n\nList offer links for all markets. An offer is an item that is listed on a specific\nmarketplace. Every offer has a link, which is the direct URL for the offer on the\nmarketplace. Note that this endpoint only returns links for offers which are\ncurrently listed on the given marketplace."
      parameters: []
      responses:
        200:
          description: ''
          content:
            application/json:
              schema:
                type: object
                example:
                  data:
                    -
                      market_hash_name: 'AK-47 | Aquamarine Revenge (Battle-Scarred)'
                      links:
                        -
                          market: buff163
                          url: 'https://buff.163.com/market/goods?goods_id=33858'
                          key: 33858
                        -
                          market: skinport
                          url: 'https://skinport.com/item/ak-47-aquamarine-revenge-battle-scarred?r=csgoskins'
                          key: null
                    -
                      market_hash_name: 'AK-47 | Aquamarine Revenge (Factory New)'
                      links:
                        -
                          market: buff163
                          url: 'https://buff.163.com/market/goods?goods_id=33859'
                          key: 33859
                        -
                          market: skinport
                          url: 'https://skinport.com/item/ak-47-aquamarine-revenge-factory-new?r=csgoskins'
                          key: null
                properties:
                  data:
                    type: array
                    example:
                      -
                        market_hash_name: 'AK-47 | Aquamarine Revenge (Battle-Scarred)'
                        links:
                          -
                            market: buff163
                            url: 'https://buff.163.com/market/goods?goods_id=33858'
                            key: 33858
                          -
                            market: skinport
                            url: 'https://skinport.com/item/ak-47-aquamarine-revenge-battle-scarred?r=csgoskins'
                            key: null
                      -
                        market_hash_name: 'AK-47 | Aquamarine Revenge (Factory New)'
                        links:
                          -
                            market: buff163
                            url: 'https://buff.163.com/market/goods?goods_id=33859'
                            key: 33859
                          -
                            market: skinport
                            url: 'https://skinport.com/item/ak-47-aquamarine-revenge-factory-new?r=csgoskins'
                            key: null
                    description: 'An array of objects where each array element represents an offer link.'
                    items:
                      type: object
                      properties:
                        market_hash_name:
                          type: string
                          example: 'AK-47 | Aquamarine Revenge (Battle-Scarred)'
                          description: 'The `market_hash_name` of the item.'
                        links:
                          type: array
                          example:
                            -
                              market: buff163
                              url: 'https://buff.163.com/market/goods?goods_id=33858'
                              key: 33858
                            -
                              market: skinport
                              url: 'https://skinport.com/item/ak-47-aquamarine-revenge-battle-scarred?r=csgoskins'
                              key: null
                          description: 'An array of objects where each array element represents a link.'
                          items:
                            type: object
                            properties:
                              market:
                                type: string
                                example: buff163
                                description: 'The identifier of the marketplace.'
                              url:
                                type: string
                                example: 'https://buff.163.com/market/goods?goods_id=33858'
                                description: 'The URL to the offer on the marketplace.'
                              key:
                                type: integer
                                example: 33858
                                description: "This is the external key of the offer. Only some markets such as `buff163`\n have this value, for most markets this will be `null`."
      tags:
        - Endpoints
  /api/v1/basic-item-details:
    get:
      summary: 'List Basic Item Details'
      operationId: listBasicItemDetails
      description: "<small class=\"badge badge-darkblue\">\n Pro Plan\n</small>\n\n<small class=\"badge badge-green\">\n 60 req/min rate limit\n</small>\n\nList all CS2 items with basic information about each item."
      parameters:
        -
          in: query
          name: page
          description: "The page to retrieve, defaults to `1`. The `meta.last_page` field returns\n the last available page."
          example: null
          required: false
          schema:
            type: integer
            description: "The page to retrieve, defaults to `1`. The `meta.last_page` field returns\n the last available page."
            example: null
        -
          in: query
          name: limit
          description: "The number of items to return per page, defaults to `100`. Must be a number\n between `1` and `100`."
          example: null
          required: false
          schema:
            type: integer
            description: "The number of items to return per page, defaults to `100`. Must be a number\n between `1` and `100`."
            example: null
      responses:
        200:
          description: ''
          content:
            application/json:
              schema:
                type: object
                example:
                  meta:
                    total: 17221
                    per_page: 100
                    current_page: 1
                    last_page: 173
                  data:
                    -
                      market_hash_name: 'Imaginary Item'
                      image_url: 'https://cdn.csgoskins.gg/public/uih/products/aHR0cHM6Ly9zdGVhbWNvbW11bml0eS1hLmFrYW1haWhkLm5ldC9lY29ub215L2ltYWdlLy05YTgxZGxXTHdKMlVVR2NWc19uc1Z0emRPRWR0V3dLR1paTFFIVHhEWjdJNTZLVTBad3dvNE5VWDRvRkpaRUhMYlhBNlExTkw0a21yQWxPQTBfRlZQQ2kydF9mVWtSeE56dFVvcmVhT0JCaHg4emVjQzlMN2RLaWtzN1R3Nlh4TU9uUWxUTUY2NXdtMC1pUXBJbjMwQWJrOHhjNWFqaW5kZENXSXdFNlkxellfVm01MzY2eDBoTm1iRkQ3LzUxMngzODQ-/auto/auto/85/notrim/b50f3b556dec1cf4de48d7ed761abdd6.png'
                      image_url_steam: 'https://steamcommunity-a.akamaihd.net/economy/image/-9a81dlWLwJ2UUGcVs_nsVtzdOEdtWwKGZZLQHTxDZ7I56KU0Zwwo4NUX4oFJZEHLbXQ9QVcJY8gulRfQ1_ESOr_h56LHE59IjtE57e1JwJf1PzEdQJO7c6xkc7dwaWiYe3SlzwIuZBy3uzEp9qg3Vbn-0c4YGyhcY7HIFI8aVHS_lm5366x0qhmo9uG/512x384'
                      stattrak: true
                      souvenir: false
                      type:
                        name: Rifle
                      category:
                        name: Skin
                      exterior:
                        name: Field-Tested
                      tint:
                        name: 'Bazooka Pink'
                      weapon:
                        name: AK-47
                      tournament:
                        name: '2019 StarLadder Berlin Championship'
                      team:
                        name: 'G2 Esports'
                      player:
                        name: kennyS
                      rarity:
                        name: Classified
                      paintkits:
                        -
                          name: Redline
                          phase: Ruby
                      containers:
                        -
                          name: 'Operation Phoenix Weapon Case'
                      collections:
                        -
                          name: 'The Phoenix Collection'
                properties:
                  meta:
                    type: object
                    properties:
                      total:
                        type: integer
                        example: 17221
                        description: 'The total number of items in our database.'
                      per_page:
                        type: integer
                        example: 100
                        description: 'The number of items that are returned per requested page.'
                      current_page:
                        type: integer
                        example: 1
                        description: 'The number of the current page.'
                      last_page:
                        type: integer
                        example: 173
                        description: 'The number of the last available page.'
                  data:
                    type: array
                    example:
                      -
                        market_hash_name: 'Imaginary Item'
                        image_url: 'https://cdn.csgoskins.gg/public/uih/products/aHR0cHM6Ly9zdGVhbWNvbW11bml0eS1hLmFrYW1haWhkLm5ldC9lY29ub215L2ltYWdlLy05YTgxZGxXTHdKMlVVR2NWc19uc1Z0emRPRWR0V3dLR1paTFFIVHhEWjdJNTZLVTBad3dvNE5VWDRvRkpaRUhMYlhBNlExTkw0a21yQWxPQTBfRlZQQ2kydF9mVWtSeE56dFVvcmVhT0JCaHg4emVjQzlMN2RLaWtzN1R3Nlh4TU9uUWxUTUY2NXdtMC1pUXBJbjMwQWJrOHhjNWFqaW5kZENXSXdFNlkxellfVm01MzY2eDBoTm1iRkQ3LzUxMngzODQ-/auto/auto/85/notrim/b50f3b556dec1cf4de48d7ed761abdd6.png'
                        image_url_steam: 'https://steamcommunity-a.akamaihd.net/economy/image/-9a81dlWLwJ2UUGcVs_nsVtzdOEdtWwKGZZLQHTxDZ7I56KU0Zwwo4NUX4oFJZEHLbXQ9QVcJY8gulRfQ1_ESOr_h56LHE59IjtE57e1JwJf1PzEdQJO7c6xkc7dwaWiYe3SlzwIuZBy3uzEp9qg3Vbn-0c4YGyhcY7HIFI8aVHS_lm5366x0qhmo9uG/512x384'
                        stattrak: true
                        souvenir: false
                        type:
                          name: Rifle
                        category:
                          name: Skin
                        exterior:
                          name: Field-Tested
                        tint:
                          name: 'Bazooka Pink'
                        weapon:
                          name: AK-47
                        tournament:
                          name: '2019 StarLadder Berlin Championship'
                        team:
                          name: 'G2 Esports'
                        player:
                          name: kennyS
                        rarity:
                          name: Classified
                        paintkits:
                          -
                            name: Redline
                            phase: Ruby
                        containers:
                          -
                            name: 'Operation Phoenix Weapon Case'
                        collections:
                          -
                            name: 'The Phoenix Collection'
                    description: 'An array of objects where each array element represents a specific item.'
                    items:
                      type: object
                      properties:
                        market_hash_name:
                          type: string
                          example: 'Imaginary Item'
                          description: 'The `market_hash_name` of the item.'
                        image_url:
                          type: string
                          example: 'https://cdn.csgoskins.gg/public/uih/products/aHR0cHM6Ly9zdGVhbWNvbW11bml0eS1hLmFrYW1haWhkLm5ldC9lY29ub215L2ltYWdlLy05YTgxZGxXTHdKMlVVR2NWc19uc1Z0emRPRWR0V3dLR1paTFFIVHhEWjdJNTZLVTBad3dvNE5VWDRvRkpaRUhMYlhBNlExTkw0a21yQWxPQTBfRlZQQ2kydF9mVWtSeE56dFVvcmVhT0JCaHg4emVjQzlMN2RLaWtzN1R3Nlh4TU9uUWxUTUY2NXdtMC1pUXBJbjMwQWJrOHhjNWFqaW5kZENXSXdFNlkxellfVm01MzY2eDBoTm1iRkQ3LzUxMngzODQ-/auto/auto/85/notrim/b50f3b556dec1cf4de48d7ed761abdd6.png'
                          description: 'The image URL of the item, hosted on our CDN.'
                        image_url_steam:
                          type: string
                          example: 'https://steamcommunity-a.akamaihd.net/economy/image/-9a81dlWLwJ2UUGcVs_nsVtzdOEdtWwKGZZLQHTxDZ7I56KU0Zwwo4NUX4oFJZEHLbXQ9QVcJY8gulRfQ1_ESOr_h56LHE59IjtE57e1JwJf1PzEdQJO7c6xkc7dwaWiYe3SlzwIuZBy3uzEp9qg3Vbn-0c4YGyhcY7HIFI8aVHS_lm5366x0qhmo9uG/512x384'
                          description: 'The image URL of the item, hosted on Steam.'
                        stattrak:
                          type: boolean
                          example: true
                          description: 'Whether this item is a StatTrak version or not.'
                        souvenir:
                          type: boolean
                          example: false
                          description: 'Whether this item is a Souvenir version or not.'
                        type:
                          type: object
                          properties:
                            name:
                              type: string
                              example: Rifle
                              description: 'The name of the item type.'
                        category:
                          type: object
                          properties:
                            name:
                              type: string
                              example: Skin
                              description: 'The name of the item category.'
                        exterior:
                          type: object
                          properties:
                            name:
                              type: string
                              example: Field-Tested
                              description: 'The name of the item exterior.'
                        tint:
                          type: object
                          properties:
                            name:
                              type: string
                              example: 'Bazooka Pink'
                              description: 'The name of the item tint.'
                        weapon:
                          type: object
                          properties:
                            name:
                              type: string
                              example: AK-47
                              description: 'The name of the weapon.'
                        tournament:
                          type: object
                          properties:
                            name:
                              type: string
                              example: '2019 StarLadder Berlin Championship'
                              description: 'The name of the tournament.'
                        team:
                          type: object
                          properties:
                            name:
                              type: string
                              example: 'G2 Esports'
                              description: 'The name of the team.'
                        player:
                          type: object
                          properties:
                            name:
                              type: string
                              example: kennyS
                              description: 'The name of the player.'
                        rarity:
                          type: object
                          properties:
                            name:
                              type: string
                              example: Classified
                              description: 'The name of the rarity.'
                        paintkits:
                          type: array
                          example:
                            -
                              name: Redline
                              phase: Ruby
                          description: "The paintkits (or finishes) which are available for this item. <br>\n Only available for skins. <br>\n Most skins only have a single paintkit. <br>\n Only Dopplers and Gamma Dopplers can have multiple paintkits."
                          items:
                            type: object
                            properties:
                              name:
                                type: string
                                example: Redline
                                description: 'The name of the paintkit.'
                              phase:
                                type: string
                                example: Ruby
                                description: 'The Doppler phase of the paintkit.'
                        containers:
                          type: array
                          example:
                            -
                              name: 'Operation Phoenix Weapon Case'
                          description: 'The containers that contain the item.'
                          items:
                            type: object
                            properties:
                              name:
                                type: string
                                example: 'Operation Phoenix Weapon Case'
                                description: 'The name of the container.'
                        collections:
                          type: array
                          example:
                            -
                              name: 'The Phoenix Collection'
                          description: 'The collections that the item belongs to.'
                          items:
                            type: object
                            properties:
                              name:
                                type: string
                                example: 'The Phoenix Collection'
                                description: 'The name of the collection.'
      tags:
        - Endpoints
      requestBody:
        required: false
        content:
          application/json:
            schema:
              type: object
              properties:
                page:
                  type: integer
                  description: 'Must be at least 1. Must not be greater than 999999999.'
                  example: 1
                limit:
                  type: integer
                  description: 'Must be at least 1. Must not be greater than 100.'
                  example: 15
  /api/v1/advanced-item-details:
    get:
      summary: 'List Advanced Item Details'
      operationId: listAdvancedItemDetails
      description: "<small class=\"badge badge-darkblue\">\n Business Plan\n</small>\n\n<small class=\"badge badge-green\">\n 60 req/min rate limit\n</small>\n\nList all CS2 items with advanced information about each item.\n\n<aside class=\"warning\">\n This endpoint requires manual approval before it can be used. Please write us an email to\n info@csgoskins.gg with a short description of your intended use-case for the item data.\n</aside>"
      parameters:
        -
          in: query
          name: page
          description: "The page to retrieve, defaults to `1`. The `meta.last_page` field returns\n the last available page."
          example: null
          required: false
          schema:
            type: integer
            description: "The page to retrieve, defaults to `1`. The `meta.last_page` field returns\n the last available page."
            example: null
        -
          in: query
          name: limit
          description: "The number of items to return per page, defaults to `100`. Must be a number\n between `1` and `100`."
          example: null
          required: false
          schema:
            type: integer
            description: "The number of items to return per page, defaults to `100`. Must be a number\n between `1` and `100`."
            example: null
      responses:
        200:
          description: ''
          content:
            application/json:
              schema:
                type: object
                example:
                  meta:
                    total: 17221
                    per_page: 100
                    current_page: 1
                    last_page: 173
                  data:
                    -
                      market_hash_name: 'Imaginary Item'
                      image_url: 'https://cdn.csgoskins.gg/public/uih/products/aHR0cHM6Ly9zdGVhbWNvbW11bml0eS1hLmFrYW1haWhkLm5ldC9lY29ub215L2ltYWdlLy05YTgxZGxXTHdKMlVVR2NWc19uc1Z0emRPRWR0V3dLR1paTFFIVHhEWjdJNTZLVTBad3dvNE5VWDRvRkpaRUhMYlhBNlExTkw0a21yQWxPQTBfRlZQQ2kydF9mVWtSeE56dFVvcmVhT0JCaHg4emVjQzlMN2RLaWtzN1R3Nlh4TU9uUWxUTUY2NXdtMC1pUXBJbjMwQWJrOHhjNWFqaW5kZENXSXdFNlkxellfVm01MzY2eDBoTm1iRkQ3LzUxMngzODQ-/auto/auto/85/notrim/b50f3b556dec1cf4de48d7ed761abdd6.png'
                      image_url_steam: 'https://steamcommunity-a.akamaihd.net/economy/image/-9a81dlWLwJ2UUGcVs_nsVtzdOEdtWwKGZZLQHTxDZ7I56KU0Zwwo4NUX4oFJZEHLbXQ9QVcJY8gulRfQ1_ESOr_h56LHE59IjtE57e1JwJf1PzEdQJO7c6xkc7dwaWiYe3SlzwIuZBy3uzEp9qg3Vbn-0c4YGyhcY7HIFI8aVHS_lm5366x0qhmo9uG/512x384'
                      inspect_url: 'steam://rungame/730/76561202255233023/+csgo_econ_action_preview%20M3475067761979237163A22000338544D7965642962764830214'
                      stattrak: true
                      souvenir: false
                      popularity: 25
                      description: '50% of the proceeds from the sale of this sticker support the included players and organizations.'
                      type:
                        name: Rifle
                        image_url: 'https://cdn.csgoskins.gg/public/uih/types/aHR0cHM6Ly9jc2dvc2tpbnMuZ2cvbWVkaWEvaW1hZ2VzL3R5cGVzL3JpZmxlLnBuZw--/auto/auto/85/notrim/82b8fb7dc067b06c72ebc0758461fdcb.png'
                      category:
                        name: Skin
                        image_url: 'https://cdn.csgoskins.gg/public/uih/categories/aHR0cHM6Ly9jc2dvc2tpbnMuZ2cvbWVkaWEvaW1hZ2VzL2NhdGVnb3JpZXMvc2tpbi5wbmc-/auto/auto/85/notrim/d5a8ea882ffdc9c7511261a1b6ab2329.png'
                      exterior:
                        name: Field-Tested
                        name_short: FT
                      tint:
                        name: 'Bazooka Pink'
                        color: '#ba68b2'
                      workshop:
                        id: '192361478'
                        url: 'https://steamcommunity.com/sharedfiles/filedetails/?id=192361478'
                      key:
                        name: 'Falchion Case Key'
                        image_url: 'https://cdn.csgoskins.gg/public/uih/items/aHR0cHM6Ly9zdGVhbWNkbi1hLmFrYW1haWhkLm5ldC9hcHBzLzczMC9pY29ucy9lY29uL3Rvb2xzL2NyYXRlX2tleV9jb21tdW5pdHlfOC4yZjgwYzcyMDliZDA4NTMzODUzMjZkNGE2NzEyZTQwNzk4MWE3N2FhLnBuZw--/auto/auto/85/notrim/cb69b47378c329bef914621f9111395a.png'
                      weapon:
                        name: AK-47
                        defindex: '7'
                        type: Rifle
                        description: 'Powerful and reliable, the AK-47 is one of the most popular assault rifles in the world. It is most deadly in short, controlled bursts of fire.'
                        image_url: 'https://cdn.csgoskins.gg/public/uih/weapons/aHR0cHM6Ly9zdGVhbWNkbi1hLmFrYW1haWhkLm5ldC9hcHBzLzczMC9pY29ucy9lY29uL3dlYXBvbnMvYmFzZV93ZWFwb25zL3dlYXBvbl9hazQ3LmEzMjBmMTNmZWE0ZjIxZDFlYjNiNDY2NzhkNmIxMmU5N2NiZDEwNTIucG5n/auto/auto/85/notrim/1848f214868d131c61206fdd2d72ca31.png'
                      tournament:
                        name: '2019 StarLadder Berlin Championship'
                        name_short: '2019 StarLadder Berlin'
                        location: 'Berlin 2019'
                        city: Berlin
                        year: '2019'
                        image_url: 'https://cdn.csgoskins.gg/public/uih/tournaments/aHR0cHM6Ly9jc2dvc2tpbnMuZ2cvbWVkaWEvaW1hZ2VzL3RvdXJuYW1lbnRzLzIwMTktc3RhcmxhZGRlci1iZXJsaW4ucG5n/auto/auto/85/notrim/65ee49e4009874ac345a01a55da2ec47.png'
                      team:
                        name: 'G2 Esports'
                        tag: G2
                        geo: EU
                        image_url: 'https://cdn.csgoskins.gg/public/uih/teams/aHR0cHM6Ly9jc2dvc2tpbnMuZ2cvbWVkaWEvaW1hZ2VzL3RvdXJuYW1lbnRzLzIwMTktc3RhcmxhZGRlci1iZXJsaW4ucG5n/auto/auto/85/notrim/65ee49e4009874ac345a01a55da2ec47.png'
                      player:
                        name: kennyS
                        name_real: 'Kenny Schrub'
                        geo: FR
                        steamid: '76561198024905796'
                        image_url: 'https://cdn.csgoskins.gg/public/uih/players/aHR0cHM6Ly9jc2dvc2tpbnMuZ2cvbWVkaWEvaW1hZ2VzL3RvdXJuYW1lbnRzLzIwMTktc3RhcmxhZGRlci1iZXJsaW4ucG5n/auto/auto/85/notrim/65ee49e4009874ac345a01a55da2ec47.png'
                      film:
                        name: Paper
                        image_url: 'https://cdn.csgoskins.gg/public/uih/films/aHR0cHM6Ly9jc2dvc2tpbnMuZ2cvbWVkaWEvaW1hZ2VzL2ZpbG1zL3BhcGVyLnBuZw--/auto/auto/85/notrim/ab20caf96069dcf4af4132cd31d7ce04.png'
                      side:
                        name: Counter-Terrorists
                        name_short: CT
                        image_url: 'https://cdn.csgoskins.gg/public/uih/sides/aHR0cHM6Ly9jc2dvc2tpbnMuZ2cvbWVkaWEvaW1hZ2VzL3NpZGVzL2NvdW50ZXItdGVycm9yaXN0cy5wbmc-/auto/auto/85/notrim/6b7c882accebe691ca60dcb75a1d7f5d.png'
                      unit:
                        name: 'SEAL Frogman'
                      artist:
                        name: Scarlxrd
                      map:
                        name: Vertigo
                        image_url: 'https://cdn.csgoskins.gg/public/uih/maps/aHR0cHM6Ly9jc2dvc2tpbnMuZ2cvbWVkaWEvaW1hZ2VzL21hcHMvdmVydGlnby5wbmc-/auto/auto/85/notrim/5e4ff21ecb1eb5e1c5a38e886817f7ed.png'
                      rarity:
                        name: Classified
                        color: '#d32ce6'
                      designer:
                        name: emkay
                        steamid: '76561198005082533'
                        image_url: 'https://cdn.csgoskins.gg/public/uih/designers/aHR0cHM6Ly9jZG4uY3Nnb3NraW5zLmdnL3B1YmxpYy9pbWFnZXMvZGVzaWduZXJzLzc2NTYxMTk4MDMxODY5NjIxL2F2YXRhci5wbmc-/auto/auto/85/notrim/df4739bcf2fa0010bf93698e50296f9a.png'
                      update:
                        name: 'Introducing Operation Broken Fang'
                        blog_url: 'https://blog.counter-strike.net/index.php/2020/12/31917/'
                        update_url: 'http://counter-strike.net/brokenfang'
                        released_at: '2020-12-03'
                      professional_players:
                        -
                          name: ceh9
                          name_real: 'Arsenij Trynozhenko'
                          geo: UA
                          steamid: '76561197989686129'
                          image_url: 'https://cdn.csgoskins.gg/public/uih/players/aHR0cHM6Ly9jc2dvc2tpbnMuZ2cvbWVkaWEvaW1hZ2VzL3RvdXJuYW1lbnRzLzIwMTktc3RhcmxhZGRlci1iZXJsaW4ucG5n/auto/auto/85/notrim/65ee49e4009874ac345a01a55da2ec47.png'
                        -
                          name: sergej
                          name_real: 'Jere Salo'
                          geo: FI
                          steamid: '76561198027839825'
                          image_url: 'https://cdn.csgoskins.gg/public/uih/players/aHR0cHM6Ly9jc2dvc2tpbnMuZ2cvbWVkaWEvaW1hZ2VzL3RvdXJuYW1lbnRzLzIwMTktc3RhcmxhZGRlci1iZXJsaW4ucG5n/auto/auto/85/notrim/65ee49e4009874ac345a01a55da2ec47.png'
                      locks:
                        -
                          name: 'Operation Hydra Case'
                          image_url: 'https://cdn.csgoskins.gg/public/uih/items/aHR0cHM6Ly9zdGVhbWNkbi1hLmFrYW1haWhkLm5ldC9hcHBzLzczMC9pY29ucy9lY29uL3dlYXBvbl9jYXNlcy9jcmF0ZV9jb21tdW5pdHlfMTcuOGQ0NTI4ZWNhMjI5ZDY1ZDBjMTk5MjlhZTIwNzhhYWIzOGRmMTM2OS5wbmc-/auto/auto/85/notrim/f3fab646beb68ff6a2d732b30f1d7a81.png'
                      sounds:
                        -
                          name: Affirmative
                          url: 'https://cdn.csgoskins.gg/public/audio/agents/1st-lieutenant-farlow-swat/affirmative.wav'
                          extension: wav
                        -
                          name: Negative
                          url: 'https://cdn.csgoskins.gg/public/audio/agents/1st-lieutenant-farlow-swat/negative.wav'
                          extension: wav
                        -
                          name: Cheer
                          url: 'https://cdn.csgoskins.gg/public/audio/agents/1st-lieutenant-farlow-swat/cheer.wav'
                          extension: wav
                        -
                          name: 'Hold This Position'
                          url: 'https://cdn.csgoskins.gg/public/audio/agents/1st-lieutenant-farlow-swat/hold-this-position.wav'
                          extension: wav
                        -
                          name: 'Follow Me'
                          url: 'https://cdn.csgoskins.gg/public/audio/agents/1st-lieutenant-farlow-swat/follow-me.wav'
                          extension: wav
                        -
                          name: Thanks
                          url: 'https://cdn.csgoskins.gg/public/audio/agents/1st-lieutenant-farlow-swat/thanks.wav'
                          extension: wav
                      paintkits:
                        -
                          name: Redline
                          defindex: '282'
                          wear_min: 0.1
                          wear_max: 0.7
                          description: 'It has been painted using a carbon fiber hydrographic and a dry-transfer decal of a red pinstripe.'
                          text: 'Never be afraid to push it to the limit'
                          phase: Ruby
                          pattern_diff: false
                          image_url: 'https://cdn.csgoskins.gg/public/uih/paintkits/aHR0cHM6Ly9zdGVhbWNkbi1hLmFrYW1haWhkLm5ldC9hcHBzLzczMC9pY29ucy9lY29uL2RlZmF1bHRfZ2VuZXJhdGVkL3dlYXBvbl9hazQ3X2N1X2FrNDdfY29icmFfbGlnaHRfbGFyZ2UuNzQ5NGJmZGY0ODU1ZmQ0ZTZhMmRiZDk4M2VkMGEyNDNjODBlZjgzMC5wbmc-/auto/auto/85/notrim/55628959530ef8397af086fef121601e.png'
                          style:
                            name: 'Custom Paint Job'
                            description: 'This style enables extremely customized looks in a full range of colors.'
                      containers:
                        -
                          name: 'Operation Phoenix Weapon Case'
                          image_url: 'https://cdn.csgoskins.gg/public/uih/items/aHR0cHM6Ly9zdGVhbWNkbi1hLmFrYW1haWhkLm5ldC9hcHBzLzczMC9pY29ucy9lY29uL3dlYXBvbl9jYXNlcy9jcmF0ZV9jb21tdW5pdHlfMi40OTE3NGFiZGRjY2NiNjUxOWI4M2QyN2QwY2ZmNDc2ZTFjNDRjYzU3LnBuZw--/auto/auto/85/notrim/aa32422deb0419fb31ea7a13a368f7f1.png'
                      collections:
                        -
                          name: 'The Phoenix Collection'
                          image_url: 'https://cdn.csgoskins.gg/public/uih/collections/aHR0cHM6Ly9jZG4uY3Nnb3NraW5zLmdnL3B1YmxpYy9pbWFnZXMvY29sbGVjdGlvbnMvMjM5ZmNjNTU1ZDA4NjdkYjg5ODQ3NTc2ZTk1ZjYyNzAvZGVmYXVsdC5wbmc-/auto/auto/85/notrim/e48a02517befdd8b5a7bfb250d8c96db.png'
                      colors:
                        -
                          name: Red
                          hex: '#ED1B24'
                          image_url: 'https://cdn.csgoskins.gg/public/uih/colors/aHR0cHM6Ly9jc2dvc2tpbnMuZ2cvbWVkaWEvaW1hZ2VzL2NvbG9ycy9yZWQucG5n/auto/auto/85/notrim/efc8327ff347f90cf8afecbc157e6ed9.png'
                        -
                          name: Black
                          hex: '#000000'
                          image_url: 'https://cdn.csgoskins.gg/public/uih/colors/aHR0cHM6Ly9jc2dvc2tpbnMuZ2cvbWVkaWEvaW1hZ2VzL2NvbG9ycy9ibGFjay5wbmc-/auto/auto/85/notrim/65397419d6b9f65c8080df8eb632420a.png'
                properties:
                  meta:
                    type: object
                    properties:
                      total:
                        type: integer
                        example: 17221
                        description: 'The total number of items in our database.'
                      per_page:
                        type: integer
                        example: 100
                        description: 'The number of items that are returned per requested page.'
                      current_page:
                        type: integer
                        example: 1
                        description: 'The number of the current page.'
                      last_page:
                        type: integer
                        example: 173
                        description: 'The number of the last available page.'
                  data:
                    type: array
                    example:
                      -
                        market_hash_name: 'Imaginary Item'
                        image_url: 'https://cdn.csgoskins.gg/public/uih/products/aHR0cHM6Ly9zdGVhbWNvbW11bml0eS1hLmFrYW1haWhkLm5ldC9lY29ub215L2ltYWdlLy05YTgxZGxXTHdKMlVVR2NWc19uc1Z0emRPRWR0V3dLR1paTFFIVHhEWjdJNTZLVTBad3dvNE5VWDRvRkpaRUhMYlhBNlExTkw0a21yQWxPQTBfRlZQQ2kydF9mVWtSeE56dFVvcmVhT0JCaHg4emVjQzlMN2RLaWtzN1R3Nlh4TU9uUWxUTUY2NXdtMC1pUXBJbjMwQWJrOHhjNWFqaW5kZENXSXdFNlkxellfVm01MzY2eDBoTm1iRkQ3LzUxMngzODQ-/auto/auto/85/notrim/b50f3b556dec1cf4de48d7ed761abdd6.png'
                        image_url_steam: 'https://steamcommunity-a.akamaihd.net/economy/image/-9a81dlWLwJ2UUGcVs_nsVtzdOEdtWwKGZZLQHTxDZ7I56KU0Zwwo4NUX4oFJZEHLbXQ9QVcJY8gulRfQ1_ESOr_h56LHE59IjtE57e1JwJf1PzEdQJO7c6xkc7dwaWiYe3SlzwIuZBy3uzEp9qg3Vbn-0c4YGyhcY7HIFI8aVHS_lm5366x0qhmo9uG/512x384'
                        inspect_url: 'steam://rungame/730/76561202255233023/+csgo_econ_action_preview%20M3475067761979237163A22000338544D7965642962764830214'
                        stattrak: true
                        souvenir: false
                        popularity: 25
                        description: '50% of the proceeds from the sale of this sticker support the included players and organizations.'
                        type:
                          name: Rifle
                          image_url: 'https://cdn.csgoskins.gg/public/uih/types/aHR0cHM6Ly9jc2dvc2tpbnMuZ2cvbWVkaWEvaW1hZ2VzL3R5cGVzL3JpZmxlLnBuZw--/auto/auto/85/notrim/82b8fb7dc067b06c72ebc0758461fdcb.png'
                        category:
                          name: Skin
                          image_url: 'https://cdn.csgoskins.gg/public/uih/categories/aHR0cHM6Ly9jc2dvc2tpbnMuZ2cvbWVkaWEvaW1hZ2VzL2NhdGVnb3JpZXMvc2tpbi5wbmc-/auto/auto/85/notrim/d5a8ea882ffdc9c7511261a1b6ab2329.png'
                        exterior:
                          name: Field-Tested
                          name_short: FT
                        tint:
                          name: 'Bazooka Pink'
                          color: '#ba68b2'
                        workshop:
                          id: '192361478'
                          url: 'https://steamcommunity.com/sharedfiles/filedetails/?id=192361478'
                        key:
                          name: 'Falchion Case Key'
                          image_url: 'https://cdn.csgoskins.gg/public/uih/items/aHR0cHM6Ly9zdGVhbWNkbi1hLmFrYW1haWhkLm5ldC9hcHBzLzczMC9pY29ucy9lY29uL3Rvb2xzL2NyYXRlX2tleV9jb21tdW5pdHlfOC4yZjgwYzcyMDliZDA4NTMzODUzMjZkNGE2NzEyZTQwNzk4MWE3N2FhLnBuZw--/auto/auto/85/notrim/cb69b47378c329bef914621f9111395a.png'
                        weapon:
                          name: AK-47
                          defindex: '7'
                          type: Rifle
                          description: 'Powerful and reliable, the AK-47 is one of the most popular assault rifles in the world. It is most deadly in short, controlled bursts of fire.'
                          image_url: 'https://cdn.csgoskins.gg/public/uih/weapons/aHR0cHM6Ly9zdGVhbWNkbi1hLmFrYW1haWhkLm5ldC9hcHBzLzczMC9pY29ucy9lY29uL3dlYXBvbnMvYmFzZV93ZWFwb25zL3dlYXBvbl9hazQ3LmEzMjBmMTNmZWE0ZjIxZDFlYjNiNDY2NzhkNmIxMmU5N2NiZDEwNTIucG5n/auto/auto/85/notrim/1848f214868d131c61206fdd2d72ca31.png'
                        tournament:
                          name: '2019 StarLadder Berlin Championship'
                          name_short: '2019 StarLadder Berlin'
                          location: 'Berlin 2019'
                          city: Berlin
                          year: '2019'
                          image_url: 'https://cdn.csgoskins.gg/public/uih/tournaments/aHR0cHM6Ly9jc2dvc2tpbnMuZ2cvbWVkaWEvaW1hZ2VzL3RvdXJuYW1lbnRzLzIwMTktc3RhcmxhZGRlci1iZXJsaW4ucG5n/auto/auto/85/notrim/65ee49e4009874ac345a01a55da2ec47.png'
                        team:
                          name: 'G2 Esports'
                          tag: G2
                          geo: EU
                          image_url: 'https://cdn.csgoskins.gg/public/uih/teams/aHR0cHM6Ly9jc2dvc2tpbnMuZ2cvbWVkaWEvaW1hZ2VzL3RvdXJuYW1lbnRzLzIwMTktc3RhcmxhZGRlci1iZXJsaW4ucG5n/auto/auto/85/notrim/65ee49e4009874ac345a01a55da2ec47.png'
                        player:
                          name: kennyS
                          name_real: 'Kenny Schrub'
                          geo: FR
                          steamid: '76561198024905796'
                          image_url: 'https://cdn.csgoskins.gg/public/uih/players/aHR0cHM6Ly9jc2dvc2tpbnMuZ2cvbWVkaWEvaW1hZ2VzL3RvdXJuYW1lbnRzLzIwMTktc3RhcmxhZGRlci1iZXJsaW4ucG5n/auto/auto/85/notrim/65ee49e4009874ac345a01a55da2ec47.png'
                        film:
                          name: Paper
                          image_url: 'https://cdn.csgoskins.gg/public/uih/films/aHR0cHM6Ly9jc2dvc2tpbnMuZ2cvbWVkaWEvaW1hZ2VzL2ZpbG1zL3BhcGVyLnBuZw--/auto/auto/85/notrim/ab20caf96069dcf4af4132cd31d7ce04.png'
                        side:
                          name: Counter-Terrorists
                          name_short: CT
                          image_url: 'https://cdn.csgoskins.gg/public/uih/sides/aHR0cHM6Ly9jc2dvc2tpbnMuZ2cvbWVkaWEvaW1hZ2VzL3NpZGVzL2NvdW50ZXItdGVycm9yaXN0cy5wbmc-/auto/auto/85/notrim/6b7c882accebe691ca60dcb75a1d7f5d.png'
                        unit:
                          name: 'SEAL Frogman'
                        artist:
                          name: Scarlxrd
                        map:
                          name: Vertigo
                          image_url: 'https://cdn.csgoskins.gg/public/uih/maps/aHR0cHM6Ly9jc2dvc2tpbnMuZ2cvbWVkaWEvaW1hZ2VzL21hcHMvdmVydGlnby5wbmc-/auto/auto/85/notrim/5e4ff21ecb1eb5e1c5a38e886817f7ed.png'
                        rarity:
                          name: Classified
                          color: '#d32ce6'
                        designer:
                          name: emkay
                          steamid: '76561198005082533'
                          image_url: 'https://cdn.csgoskins.gg/public/uih/designers/aHR0cHM6Ly9jZG4uY3Nnb3NraW5zLmdnL3B1YmxpYy9pbWFnZXMvZGVzaWduZXJzLzc2NTYxMTk4MDMxODY5NjIxL2F2YXRhci5wbmc-/auto/auto/85/notrim/df4739bcf2fa0010bf93698e50296f9a.png'
                        update:
                          name: 'Introducing Operation Broken Fang'
                          blog_url: 'https://blog.counter-strike.net/index.php/2020/12/31917/'
                          update_url: 'http://counter-strike.net/brokenfang'
                          released_at: '2020-12-03'
                        professional_players:
                          -
                            name: ceh9
                            name_real: 'Arsenij Trynozhenko'
                            geo: UA
                            steamid: '76561197989686129'
                            image_url: 'https://cdn.csgoskins.gg/public/uih/players/aHR0cHM6Ly9jc2dvc2tpbnMuZ2cvbWVkaWEvaW1hZ2VzL3RvdXJuYW1lbnRzLzIwMTktc3RhcmxhZGRlci1iZXJsaW4ucG5n/auto/auto/85/notrim/65ee49e4009874ac345a01a55da2ec47.png'
                          -
                            name: sergej
                            name_real: 'Jere Salo'
                            geo: FI
                            steamid: '76561198027839825'
                            image_url: 'https://cdn.csgoskins.gg/public/uih/players/aHR0cHM6Ly9jc2dvc2tpbnMuZ2cvbWVkaWEvaW1hZ2VzL3RvdXJuYW1lbnRzLzIwMTktc3RhcmxhZGRlci1iZXJsaW4ucG5n/auto/auto/85/notrim/65ee49e4009874ac345a01a55da2ec47.png'
                        locks:
                          -
                            name: 'Operation Hydra Case'
                            image_url: 'https://cdn.csgoskins.gg/public/uih/items/aHR0cHM6Ly9zdGVhbWNkbi1hLmFrYW1haWhkLm5ldC9hcHBzLzczMC9pY29ucy9lY29uL3dlYXBvbl9jYXNlcy9jcmF0ZV9jb21tdW5pdHlfMTcuOGQ0NTI4ZWNhMjI5ZDY1ZDBjMTk5MjlhZTIwNzhhYWIzOGRmMTM2OS5wbmc-/auto/auto/85/notrim/f3fab646beb68ff6a2d732b30f1d7a81.png'
                        sounds:
                          -
                            name: Affirmative
                            url: 'https://cdn.csgoskins.gg/public/audio/agents/1st-lieutenant-farlow-swat/affirmative.wav'
                            extension: wav
                          -
                            name: Negative
                            url: 'https://cdn.csgoskins.gg/public/audio/agents/1st-lieutenant-farlow-swat/negative.wav'
                            extension: wav
                          -
                            name: Cheer
                            url: 'https://cdn.csgoskins.gg/public/audio/agents/1st-lieutenant-farlow-swat/cheer.wav'
                            extension: wav
                          -
                            name: 'Hold This Position'
                            url: 'https://cdn.csgoskins.gg/public/audio/agents/1st-lieutenant-farlow-swat/hold-this-position.wav'
                            extension: wav
                          -
                            name: 'Follow Me'
                            url: 'https://cdn.csgoskins.gg/public/audio/agents/1st-lieutenant-farlow-swat/follow-me.wav'
                            extension: wav
                          -
                            name: Thanks
                            url: 'https://cdn.csgoskins.gg/public/audio/agents/1st-lieutenant-farlow-swat/thanks.wav'
                            extension: wav
                        paintkits:
                          -
                            name: Redline
                            defindex: '282'
                            wear_min: 0.1
                            wear_max: 0.7
                            description: 'It has been painted using a carbon fiber hydrographic and a dry-transfer decal of a red pinstripe.'
                            text: 'Never be afraid to push it to the limit'
                            phase: Ruby
                            pattern_diff: false
                            image_url: 'https://cdn.csgoskins.gg/public/uih/paintkits/aHR0cHM6Ly9zdGVhbWNkbi1hLmFrYW1haWhkLm5ldC9hcHBzLzczMC9pY29ucy9lY29uL2RlZmF1bHRfZ2VuZXJhdGVkL3dlYXBvbl9hazQ3X2N1X2FrNDdfY29icmFfbGlnaHRfbGFyZ2UuNzQ5NGJmZGY0ODU1ZmQ0ZTZhMmRiZDk4M2VkMGEyNDNjODBlZjgzMC5wbmc-/auto/auto/85/notrim/55628959530ef8397af086fef121601e.png'
                            style:
                              name: 'Custom Paint Job'
                              description: 'This style enables extremely customized looks in a full range of colors.'
                        containers:
                          -
                            name: 'Operation Phoenix Weapon Case'
                            image_url: 'https://cdn.csgoskins.gg/public/uih/items/aHR0cHM6Ly9zdGVhbWNkbi1hLmFrYW1haWhkLm5ldC9hcHBzLzczMC9pY29ucy9lY29uL3dlYXBvbl9jYXNlcy9jcmF0ZV9jb21tdW5pdHlfMi40OTE3NGFiZGRjY2NiNjUxOWI4M2QyN2QwY2ZmNDc2ZTFjNDRjYzU3LnBuZw--/auto/auto/85/notrim/aa32422deb0419fb31ea7a13a368f7f1.png'
                        collections:
                          -
                            name: 'The Phoenix Collection'
                            image_url: 'https://cdn.csgoskins.gg/public/uih/collections/aHR0cHM6Ly9jZG4uY3Nnb3NraW5zLmdnL3B1YmxpYy9pbWFnZXMvY29sbGVjdGlvbnMvMjM5ZmNjNTU1ZDA4NjdkYjg5ODQ3NTc2ZTk1ZjYyNzAvZGVmYXVsdC5wbmc-/auto/auto/85/notrim/e48a02517befdd8b5a7bfb250d8c96db.png'
                        colors:
                          -
                            name: Red
                            hex: '#ED1B24'
                            image_url: 'https://cdn.csgoskins.gg/public/uih/colors/aHR0cHM6Ly9jc2dvc2tpbnMuZ2cvbWVkaWEvaW1hZ2VzL2NvbG9ycy9yZWQucG5n/auto/auto/85/notrim/efc8327ff347f90cf8afecbc157e6ed9.png'
                          -
                            name: Black
                            hex: '#000000'
                            image_url: 'https://cdn.csgoskins.gg/public/uih/colors/aHR0cHM6Ly9jc2dvc2tpbnMuZ2cvbWVkaWEvaW1hZ2VzL2NvbG9ycy9ibGFjay5wbmc-/auto/auto/85/notrim/65397419d6b9f65c8080df8eb632420a.png'
                    description: 'An array of objects where each array element represents a specific item.'
                    items:
                      type: object
                      properties:
                        market_hash_name:
                          type: string
                          example: 'Imaginary Item'
                          description: 'The `market_hash_name` of the item.'
                        image_url:
                          type: string
                          example: 'https://cdn.csgoskins.gg/public/uih/products/aHR0cHM6Ly9zdGVhbWNvbW11bml0eS1hLmFrYW1haWhkLm5ldC9lY29ub215L2ltYWdlLy05YTgxZGxXTHdKMlVVR2NWc19uc1Z0emRPRWR0V3dLR1paTFFIVHhEWjdJNTZLVTBad3dvNE5VWDRvRkpaRUhMYlhBNlExTkw0a21yQWxPQTBfRlZQQ2kydF9mVWtSeE56dFVvcmVhT0JCaHg4emVjQzlMN2RLaWtzN1R3Nlh4TU9uUWxUTUY2NXdtMC1pUXBJbjMwQWJrOHhjNWFqaW5kZENXSXdFNlkxellfVm01MzY2eDBoTm1iRkQ3LzUxMngzODQ-/auto/auto/85/notrim/b50f3b556dec1cf4de48d7ed761abdd6.png'
                          description: 'The image URL of the item, hosted on our CDN.'
                        image_url_steam:
                          type: string
                          example: 'https://steamcommunity-a.akamaihd.net/economy/image/-9a81dlWLwJ2UUGcVs_nsVtzdOEdtWwKGZZLQHTxDZ7I56KU0Zwwo4NUX4oFJZEHLbXQ9QVcJY8gulRfQ1_ESOr_h56LHE59IjtE57e1JwJf1PzEdQJO7c6xkc7dwaWiYe3SlzwIuZBy3uzEp9qg3Vbn-0c4YGyhcY7HIFI8aVHS_lm5366x0qhmo9uG/512x384'
                          description: 'The image URL of the item, hosted on Steam.'
                        inspect_url:
                          type: string
                          example: 'steam://rungame/730/76561202255233023/+csgo_econ_action_preview%20M3475067761979237163A22000338544D7965642962764830214'
                          description: "The URL to inspect the item in-game. <br>\n Only available for skins, stickers, agents, graffiti, patches, and collectibles."
                        stattrak:
                          type: boolean
                          example: true
                          description: 'Whether this item is a StatTrak version or not.'
                        souvenir:
                          type: boolean
                          example: false
                          description: 'Whether this item is a Souvenir version or not.'
                        popularity:
                          type: integer
                          example: 25
                          description: "The popularity of the item. A higher number means the item is more popular. <br>\n This value is based on the item price and the number of daily sales on Steam."
                        description:
                          type: string
                          example: '50% of the proceeds from the sale of this sticker support the included players and organizations.'
                          description: 'The Steam description of the item.'
                        type:
                          type: object
                          properties:
                            name:
                              type: string
                              example: Rifle
                              description: 'The name of the item type.'
                            image_url:
                              type: string
                              example: 'https://cdn.csgoskins.gg/public/uih/types/aHR0cHM6Ly9jc2dvc2tpbnMuZ2cvbWVkaWEvaW1hZ2VzL3R5cGVzL3JpZmxlLnBuZw--/auto/auto/85/notrim/82b8fb7dc067b06c72ebc0758461fdcb.png'
                              description: 'The image URL of the item type.'
                        category:
                          type: object
                          properties:
                            name:
                              type: string
                              example: Skin
                              description: 'The name of the item category.'
                            image_url:
                              type: string
                              example: 'https://cdn.csgoskins.gg/public/uih/categories/aHR0cHM6Ly9jc2dvc2tpbnMuZ2cvbWVkaWEvaW1hZ2VzL2NhdGVnb3JpZXMvc2tpbi5wbmc-/auto/auto/85/notrim/d5a8ea882ffdc9c7511261a1b6ab2329.png'
                              description: 'The image URL of the item category.'
                        exterior:
                          type: object
                          properties:
                            name:
                              type: string
                              example: Field-Tested
                              description: 'The name of the item exterior.'
                            name_short:
                              type: string
                              example: FT
                              description: 'The shortened 2-letter name of the item exterior.'
                        tint:
                          type: object
                          properties:
                            name:
                              type: string
                              example: 'Bazooka Pink'
                              description: 'The name of the item tint.'
                            color:
                              type: string
                              example: '#ba68b2'
                              description: 'The HEX color of the item tint.'
                        workshop:
                          type: object
                          properties:
                            id:
                              type: string
                              example: '192361478'
                              description: "The ID of the item's workshop page."
                            url:
                              type: string
                              example: 'https://steamcommunity.com/sharedfiles/filedetails/?id=192361478'
                              description: 'The URL to the workshop page of the item.'
                        key:
                          type: object
                          properties:
                            name:
                              type: string
                              example: 'Falchion Case Key'
                              description: 'The name of the key.'
                            image_url:
                              type: string
                              example: 'https://cdn.csgoskins.gg/public/uih/items/aHR0cHM6Ly9zdGVhbWNkbi1hLmFrYW1haWhkLm5ldC9hcHBzLzczMC9pY29ucy9lY29uL3Rvb2xzL2NyYXRlX2tleV9jb21tdW5pdHlfOC4yZjgwYzcyMDliZDA4NTMzODUzMjZkNGE2NzEyZTQwNzk4MWE3N2FhLnBuZw--/auto/auto/85/notrim/cb69b47378c329bef914621f9111395a.png'
                              description: 'The image URL of the key.'
                        weapon:
                          type: object
                          properties:
                            name:
                              type: string
                              example: AK-47
                              description: 'The name of the weapon.'
                            defindex:
                              type: string
                              example: '7'
                              description: 'The index of the weapon in the CS2 game files.'
                            type:
                              type: string
                              example: Rifle
                              description: 'The type of the weapon.'
                            description:
                              type: string
                              example: 'Powerful and reliable, the AK-47 is one of the most popular assault rifles in the world. It is most deadly in short, controlled bursts of fire.'
                              description: 'The description of the weapon.'
                            image_url:
                              type: string
                              example: 'https://cdn.csgoskins.gg/public/uih/weapons/aHR0cHM6Ly9zdGVhbWNkbi1hLmFrYW1haWhkLm5ldC9hcHBzLzczMC9pY29ucy9lY29uL3dlYXBvbnMvYmFzZV93ZWFwb25zL3dlYXBvbl9hazQ3LmEzMjBmMTNmZWE0ZjIxZDFlYjNiNDY2NzhkNmIxMmU5N2NiZDEwNTIucG5n/auto/auto/85/notrim/1848f214868d131c61206fdd2d72ca31.png'
                              description: 'The image URL of the weapon.'
                        tournament:
                          type: object
                          properties:
                            name:
                              type: string
                              example: '2019 StarLadder Berlin Championship'
                              description: 'The name of the tournament.'
                            name_short:
                              type: string
                              example: '2019 StarLadder Berlin'
                              description: 'The short name of the tournament.'
                            location:
                              type: string
                              example: 'Berlin 2019'
                              description: 'The location where the tournament took place.'
                            city:
                              type: string
                              example: Berlin
                              description: 'The city where the tournament took place.'
                            year:
                              type: string
                              example: '2019'
                              description: 'The year in which the tournament took place.'
                            image_url:
                              type: string
                              example: 'https://cdn.csgoskins.gg/public/uih/tournaments/aHR0cHM6Ly9jc2dvc2tpbnMuZ2cvbWVkaWEvaW1hZ2VzL3RvdXJuYW1lbnRzLzIwMTktc3RhcmxhZGRlci1iZXJsaW4ucG5n/auto/auto/85/notrim/65ee49e4009874ac345a01a55da2ec47.png'
                              description: 'The image URL to the logo of the tournament.'
                        team:
                          type: object
                          properties:
                            name:
                              type: string
                              example: 'G2 Esports'
                              description: 'The name of the team.'
                            tag:
                              type: string
                              example: G2
                              description: 'The tag of the team.'
                            geo:
                              type: string
                              example: EU
                              description: "The 2-letter ISO 3166 code of the team's country."
                            image_url:
                              type: string
                              example: 'https://cdn.csgoskins.gg/public/uih/teams/aHR0cHM6Ly9jc2dvc2tpbnMuZ2cvbWVkaWEvaW1hZ2VzL3RvdXJuYW1lbnRzLzIwMTktc3RhcmxhZGRlci1iZXJsaW4ucG5n/auto/auto/85/notrim/65ee49e4009874ac345a01a55da2ec47.png'
                              description: 'The image URL to the logo of the team.'
                        player:
                          type: object
                          properties:
                            name:
                              type: string
                              example: kennyS
                              description: 'The name of the player.'
                            name_real:
                              type: string
                              example: 'Kenny Schrub'
                              description: 'The real name of the player (first name and last name).'
                            geo:
                              type: string
                              example: FR
                              description: "The 2-letter ISO 3166 code of the player's country."
                            steamid:
                              type: string
                              example: '76561198024905796'
                              description: 'The steamid64 of the player.'
                            image_url:
                              type: string
                              example: 'https://cdn.csgoskins.gg/public/uih/players/aHR0cHM6Ly9jc2dvc2tpbnMuZ2cvbWVkaWEvaW1hZ2VzL3RvdXJuYW1lbnRzLzIwMTktc3RhcmxhZGRlci1iZXJsaW4ucG5n/auto/auto/85/notrim/65ee49e4009874ac345a01a55da2ec47.png'
                              description: "The image URL to the logo of the player's team."
                        film:
                          type: object
                          properties:
                            name:
                              type: string
                              example: Paper
                              description: 'The name of the film.'
                            image_url:
                              type: string
                              example: 'https://cdn.csgoskins.gg/public/uih/films/aHR0cHM6Ly9jc2dvc2tpbnMuZ2cvbWVkaWEvaW1hZ2VzL2ZpbG1zL3BhcGVyLnBuZw--/auto/auto/85/notrim/ab20caf96069dcf4af4132cd31d7ce04.png'
                              description: 'The image URL of the film.'
                        side:
                          type: object
                          properties:
                            name:
                              type: string
                              example: Counter-Terrorists
                              description: 'The name of the side.'
                            name_short:
                              type: string
                              example: CT
                              description: 'The short name of the side.'
                            image_url:
                              type: string
                              example: 'https://cdn.csgoskins.gg/public/uih/sides/aHR0cHM6Ly9jc2dvc2tpbnMuZ2cvbWVkaWEvaW1hZ2VzL3NpZGVzL2NvdW50ZXItdGVycm9yaXN0cy5wbmc-/auto/auto/85/notrim/6b7c882accebe691ca60dcb75a1d7f5d.png'
                              description: 'The image URL of the side.'
                        unit:
                          type: object
                          properties:
                            name:
                              type: string
                              example: 'SEAL Frogman'
                              description: 'The name of the unit.'
                        artist:
                          type: object
                          properties:
                            name:
                              type: string
                              example: Scarlxrd
                              description: 'The name of the artist.'
                        map:
                          type: object
                          properties:
                            name:
                              type: string
                              example: Vertigo
                              description: 'The name of the map.'
                            image_url:
                              type: string
                              example: 'https://cdn.csgoskins.gg/public/uih/maps/aHR0cHM6Ly9jc2dvc2tpbnMuZ2cvbWVkaWEvaW1hZ2VzL21hcHMvdmVydGlnby5wbmc-/auto/auto/85/notrim/5e4ff21ecb1eb5e1c5a38e886817f7ed.png'
                              description: 'The image URL of the map.'
                        rarity:
                          type: object
                          properties:
                            name:
                              type: string
                              example: Classified
                              description: 'The name of the rarity.'
                            color:
                              type: string
                              example: '#d32ce6'
                              description: 'The HEX color of the rarity.'
                        designer:
                          type: object
                          properties:
                            name:
                              type: string
                              example: emkay
                              description: 'The name of the designer.'
                            steamid:
                              type: string
                              example: '76561198005082533'
                              description: 'The steamid64 of the designer.'
                            image_url:
                              type: string
                              example: 'https://cdn.csgoskins.gg/public/uih/designers/aHR0cHM6Ly9jZG4uY3Nnb3NraW5zLmdnL3B1YmxpYy9pbWFnZXMvZGVzaWduZXJzLzc2NTYxMTk4MDMxODY5NjIxL2F2YXRhci5wbmc-/auto/auto/85/notrim/df4739bcf2fa0010bf93698e50296f9a.png'
                              description: 'The image URL of the designer.'
                        update:
                          type: object
                          properties:
                            name:
                              type: string
                              example: 'Introducing Operation Broken Fang'
                              description: 'The name of the update.'
                            blog_url:
                              type: string
                              example: 'https://blog.counter-strike.net/index.php/2020/12/31917/'
                              description: 'The URL to the CS2 blog post of the update.'
                            update_url:
                              type: string
                              example: 'http://counter-strike.net/brokenfang'
                              description: "The URL to the dedicated update page. <br>\n This is only available for large updates such as a new operation."
                            released_at:
                              type: string
                              example: '2020-12-03'
                              description: 'The date of when the update was released.'
                        professional_players:
                          type: array
                          example:
                            -
                              name: ceh9
                              name_real: 'Arsenij Trynozhenko'
                              geo: UA
                              steamid: '76561197989686129'
                              image_url: 'https://cdn.csgoskins.gg/public/uih/players/aHR0cHM6Ly9jc2dvc2tpbnMuZ2cvbWVkaWEvaW1hZ2VzL3RvdXJuYW1lbnRzLzIwMTktc3RhcmxhZGRlci1iZXJsaW4ucG5n/auto/auto/85/notrim/65ee49e4009874ac345a01a55da2ec47.png'
                            -
                              name: sergej
                              name_real: 'Jere Salo'
                              geo: FI
                              steamid: '76561198027839825'
                              image_url: 'https://cdn.csgoskins.gg/public/uih/players/aHR0cHM6Ly9jc2dvc2tpbnMuZ2cvbWVkaWEvaW1hZ2VzL3RvdXJuYW1lbnRzLzIwMTktc3RhcmxhZGRlci1iZXJsaW4ucG5n/auto/auto/85/notrim/65ee49e4009874ac345a01a55da2ec47.png'
                          description: "The professional CS2 players which currently have this item <br>\n in their Steam inventory."
                          items:
                            type: object
                            properties:
                              name:
                                type: string
                                example: ceh9
                                description: 'The name of the player.'
                              name_real:
                                type: string
                                example: 'Arsenij Trynozhenko'
                                description: 'The real name of the player (first name and last name).'
                              geo:
                                type: string
                                example: UA
                                description: "The 2-letter ISO 3166 code of the player's country."
                              steamid:
                                type: string
                                example: '76561197989686129'
                                description: 'The steamid64 of the professional_players.'
                              image_url:
                                type: string
                                example: 'https://cdn.csgoskins.gg/public/uih/players/aHR0cHM6Ly9jc2dvc2tpbnMuZ2cvbWVkaWEvaW1hZ2VzL3RvdXJuYW1lbnRzLzIwMTktc3RhcmxhZGRlci1iZXJsaW4ucG5n/auto/auto/85/notrim/65ee49e4009874ac345a01a55da2ec47.png'
                                description: "The image URL to the logo of the player's team."
                        locks:
                          type: array
                          example:
                            -
                              name: 'Operation Hydra Case'
                              image_url: 'https://cdn.csgoskins.gg/public/uih/items/aHR0cHM6Ly9zdGVhbWNkbi1hLmFrYW1haWhkLm5ldC9hcHBzLzczMC9pY29ucy9lY29uL3dlYXBvbl9jYXNlcy9jcmF0ZV9jb21tdW5pdHlfMTcuOGQ0NTI4ZWNhMjI5ZDY1ZDBjMTk5MjlhZTIwNzhhYWIzOGRmMTM2OS5wbmc-/auto/auto/85/notrim/f3fab646beb68ff6a2d732b30f1d7a81.png'
                          description: 'The containers that can be opened with the item. Only available for keys.'
                          items:
                            type: object
                            properties:
                              name:
                                type: string
                                example: 'Operation Hydra Case'
                                description: 'The name of the lock.'
                              image_url:
                                type: string
                                example: 'https://cdn.csgoskins.gg/public/uih/items/aHR0cHM6Ly9zdGVhbWNkbi1hLmFrYW1haWhkLm5ldC9hcHBzLzczMC9pY29ucy9lY29uL3dlYXBvbl9jYXNlcy9jcmF0ZV9jb21tdW5pdHlfMTcuOGQ0NTI4ZWNhMjI5ZDY1ZDBjMTk5MjlhZTIwNzhhYWIzOGRmMTM2OS5wbmc-/auto/auto/85/notrim/f3fab646beb68ff6a2d732b30f1d7a81.png'
                                description: 'The image URL of the lock.'
                        sounds:
                          type: array
                          example:
                            -
                              name: Affirmative
                              url: 'https://cdn.csgoskins.gg/public/audio/agents/1st-lieutenant-farlow-swat/affirmative.wav'
                              extension: wav
                            -
                              name: Negative
                              url: 'https://cdn.csgoskins.gg/public/audio/agents/1st-lieutenant-farlow-swat/negative.wav'
                              extension: wav
                            -
                              name: Cheer
                              url: 'https://cdn.csgoskins.gg/public/audio/agents/1st-lieutenant-farlow-swat/cheer.wav'
                              extension: wav
                            -
                              name: 'Hold This Position'
                              url: 'https://cdn.csgoskins.gg/public/audio/agents/1st-lieutenant-farlow-swat/hold-this-position.wav'
                              extension: wav
                            -
                              name: 'Follow Me'
                              url: 'https://cdn.csgoskins.gg/public/audio/agents/1st-lieutenant-farlow-swat/follow-me.wav'
                              extension: wav
                            -
                              name: Thanks
                              url: 'https://cdn.csgoskins.gg/public/audio/agents/1st-lieutenant-farlow-swat/thanks.wav'
                              extension: wav
                          description: "The sound files which belong to the item. Only available for music kits and agents. <br>\n For music kits, all soundtracks are available. For agents, a few sample voice lines <br>\n are available."
                          items:
                            type: object
                            properties:
                              name:
                                type: string
                                example: Affirmative
                                description: 'The name of the sound.'
                              url:
                                type: string
                                example: 'https://cdn.csgoskins.gg/public/audio/agents/1st-lieutenant-farlow-swat/affirmative.wav'
                                description: 'The URL to the sound file.'
                              extension:
                                type: string
                                example: wav
                                description: 'The file extension of the sound. Either `wav` or `mp3`.'
                        paintkits:
                          type: array
                          example:
                            -
                              name: Redline
                              defindex: '282'
                              wear_min: 0.1
                              wear_max: 0.7
                              description: 'It has been painted using a carbon fiber hydrographic and a dry-transfer decal of a red pinstripe.'
                              text: 'Never be afraid to push it to the limit'
                              phase: Ruby
                              pattern_diff: false
                              image_url: 'https://cdn.csgoskins.gg/public/uih/paintkits/aHR0cHM6Ly9zdGVhbWNkbi1hLmFrYW1haWhkLm5ldC9hcHBzLzczMC9pY29ucy9lY29uL2RlZmF1bHRfZ2VuZXJhdGVkL3dlYXBvbl9hazQ3X2N1X2FrNDdfY29icmFfbGlnaHRfbGFyZ2UuNzQ5NGJmZGY0ODU1ZmQ0ZTZhMmRiZDk4M2VkMGEyNDNjODBlZjgzMC5wbmc-/auto/auto/85/notrim/55628959530ef8397af086fef121601e.png'
                              style:
                                name: 'Custom Paint Job'
                                description: 'This style enables extremely customized looks in a full range of colors.'
                          description: "The paintkits (or finishes) which are available for this item. Only available for skins. <br>\n Most skins only have a single paintkit, only Dopplers and Gamma Dopplers can have <br>\n multiple paintkits."
                          items:
                            type: object
                            properties:
                              name:
                                type: string
                                example: Redline
                                description: 'The name of the paintkit.'
                              defindex:
                                type: string
                                example: '282'
                                description: 'The name of the paintkit.'
                              wear_min:
                                type: number
                                example: 0.1
                                description: 'The minimum possible wear value of the paintkit.'
                              wear_max:
                                type: number
                                example: 0.7
                                description: 'The maximum possible wear value of the paintkit.'
                              description:
                                type: string
                                example: 'It has been painted using a carbon fiber hydrographic and a dry-transfer decal of a red pinstripe.'
                                description: 'The description of the paintkit.'
                              text:
                                type: string
                                example: 'Never be afraid to push it to the limit'
                                description: 'The text of the paintkit.'
                              phase:
                                type: string
                                example: Ruby
                                description: 'The Doppler phase of the paintkit.'
                              pattern_diff:
                                type: boolean
                                example: false
                                description: 'Whether the pattern changes the appearance of the skin.'
                              image_url:
                                type: string
                                example: 'https://cdn.csgoskins.gg/public/uih/paintkits/aHR0cHM6Ly9zdGVhbWNkbi1hLmFrYW1haWhkLm5ldC9hcHBzLzczMC9pY29ucy9lY29uL2RlZmF1bHRfZ2VuZXJhdGVkL3dlYXBvbl9hazQ3X2N1X2FrNDdfY29icmFfbGlnaHRfbGFyZ2UuNzQ5NGJmZGY0ODU1ZmQ0ZTZhMmRiZDk4M2VkMGEyNDNjODBlZjgzMC5wbmc-/auto/auto/85/notrim/55628959530ef8397af086fef121601e.png'
                                description: 'The image URL of the paintkit.'
                              style:
                                type: object
                                properties:
                                  name:
                                    type: string
                                    example: 'Custom Paint Job'
                                    description: 'The name of the style.'
                                  description:
                                    type: string
                                    example: 'This style enables extremely customized looks in a full range of colors.'
                                    description: 'The description of the style.'
                        containers:
                          type: array
                          example:
                            -
                              name: 'Operation Phoenix Weapon Case'
                              image_url: 'https://cdn.csgoskins.gg/public/uih/items/aHR0cHM6Ly9zdGVhbWNkbi1hLmFrYW1haWhkLm5ldC9hcHBzLzczMC9pY29ucy9lY29uL3dlYXBvbl9jYXNlcy9jcmF0ZV9jb21tdW5pdHlfMi40OTE3NGFiZGRjY2NiNjUxOWI4M2QyN2QwY2ZmNDc2ZTFjNDRjYzU3LnBuZw--/auto/auto/85/notrim/aa32422deb0419fb31ea7a13a368f7f1.png'
                          description: 'The containers that contain the item.'
                          items:
                            type: object
                            properties:
                              name:
                                type: string
                                example: 'Operation Phoenix Weapon Case'
                                description: 'The name of the container.'
                              image_url:
                                type: string
                                example: 'https://cdn.csgoskins.gg/public/uih/items/aHR0cHM6Ly9zdGVhbWNkbi1hLmFrYW1haWhkLm5ldC9hcHBzLzczMC9pY29ucy9lY29uL3dlYXBvbl9jYXNlcy9jcmF0ZV9jb21tdW5pdHlfMi40OTE3NGFiZGRjY2NiNjUxOWI4M2QyN2QwY2ZmNDc2ZTFjNDRjYzU3LnBuZw--/auto/auto/85/notrim/aa32422deb0419fb31ea7a13a368f7f1.png'
                                description: 'The image URL of the container.'
                        collections:
                          type: array
                          example:
                            -
                              name: 'The Phoenix Collection'
                              image_url: 'https://cdn.csgoskins.gg/public/uih/collections/aHR0cHM6Ly9jZG4uY3Nnb3NraW5zLmdnL3B1YmxpYy9pbWFnZXMvY29sbGVjdGlvbnMvMjM5ZmNjNTU1ZDA4NjdkYjg5ODQ3NTc2ZTk1ZjYyNzAvZGVmYXVsdC5wbmc-/auto/auto/85/notrim/e48a02517befdd8b5a7bfb250d8c96db.png'
                          description: 'The collections that the item belongs to.'
                          items:
                            type: object
                            properties:
                              name:
                                type: string
                                example: 'The Phoenix Collection'
                                description: 'The name of the collection.'
                              image_url:
                                type: string
                                example: 'https://cdn.csgoskins.gg/public/uih/collections/aHR0cHM6Ly9jZG4uY3Nnb3NraW5zLmdnL3B1YmxpYy9pbWFnZXMvY29sbGVjdGlvbnMvMjM5ZmNjNTU1ZDA4NjdkYjg5ODQ3NTc2ZTk1ZjYyNzAvZGVmYXVsdC5wbmc-/auto/auto/85/notrim/e48a02517befdd8b5a7bfb250d8c96db.png'
                                description: 'The image URL of the collection.'
                        colors:
                          type: array
                          example:
                            -
                              name: Red
                              hex: '#ED1B24'
                              image_url: 'https://cdn.csgoskins.gg/public/uih/colors/aHR0cHM6Ly9jc2dvc2tpbnMuZ2cvbWVkaWEvaW1hZ2VzL2NvbG9ycy9yZWQucG5n/auto/auto/85/notrim/efc8327ff347f90cf8afecbc157e6ed9.png'
                            -
                              name: Black
                              hex: '#000000'
                              image_url: 'https://cdn.csgoskins.gg/public/uih/colors/aHR0cHM6Ly9jc2dvc2tpbnMuZ2cvbWVkaWEvaW1hZ2VzL2NvbG9ycy9ibGFjay5wbmc-/auto/auto/85/notrim/65397419d6b9f65c8080df8eb632420a.png'
                          description: 'The main colors which the item is composed of. Only available for skins and stickers.'
                          items:
                            type: object
                            properties:
                              name:
                                type: string
                                example: Red
                                description: 'The name of the color.'
                              hex:
                                type: string
                                example: '#ED1B24'
                                description: 'The HEX code of the color.'
                              image_url:
                                type: string
                                example: 'https://cdn.csgoskins.gg/public/uih/colors/aHR0cHM6Ly9jc2dvc2tpbnMuZ2cvbWVkaWEvaW1hZ2VzL2NvbG9ycy9yZWQucG5n/auto/auto/85/notrim/efc8327ff347f90cf8afecbc157e6ed9.png'
                                description: 'The image URL of the color.'
      tags:
        - Endpoints
      requestBody:
        required: false
        content:
          application/json:
            schema:
              type: object
              properties:
                page:
                  type: integer
                  description: 'Must be at least 1. Must not be greater than 999999999.'
                  example: 12
                limit:
                  type: integer
                  description: 'Must be at least 1. Must not be greater than 100.'
                  example: 16
tags:
  -
    name: Endpoints
    description: ''
components:
  securitySchemes:
    default:
      type: http
      scheme: bearer
      description: 'Please note that an **active subscription is required** to use our API. You can check out  our [available subscription plans here](/api). After you signed up and created your subscription, you can generate an API key in your [dashboard](/dashboard).'
security:
  -
    default: []
